
WikiNG - Feature #2110

Wiki style link to a file in files section/module.

08 Oct 2012 02:32 - Ismail SEZEN

Status: Closed Start date: 08 Oct 2012

Priority: Normal Due date: 19 Nov 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.3   

External issue: #2069, #543   

Description

I searched a bit and saw lots of request for wiki style link a file in the files section of redmine. Probably, it’s easy to do by a plugin.

Perhaps, you would like to make it. 

Refs:

Redmine Forum→ Help→ Wiki - How to link to files?

Redmine Forum→ Help→ Missing Wiki Link? : Files, News, Forum

#2069

#543

Associated revisions

Revision 32 - 20 Nov 2012 00:25 - Andriy Lesyuk

Implemented file: rule (closes #2110)

History

#1 - 16 Oct 2012 21:31 - Andriy Lesyuk

- Status changed from New to Open

Yeah, it’s really useful! Thanks for the idea!

Error executing the download macro (Missing partial download/_button with {:locale=>[:en], :formats=>[:pdf], :variants=>[], :handlers=>[:erb, :builder,

:raw, :ruby, :rsb]}. Searched in:   * "/usr/share/redmine/plugins/wiking/app/views"   * "/usr/share/redmine/plugins/subscription/app/views"   *

"/usr/share/redmine/plugins/sidebar/app/views"   * "/usr/share/redmine/plugins/scm_checkouts/app/views"   *

"/usr/share/redmine/plugins/role_shift/app/views"   * "/usr/share/redmine/plugins/reklama/app/views"   *

"/usr/share/redmine/plugins/redpress/app/views"   * "/usr/share/redmine/plugins/redmine_tweetbook/app/views"   *

"/usr/share/redmine/plugins/redmine_scm/app/views"   * "/usr/share/redmine/plugins/redmine_omniauth_google/app/views"   *

"/usr/share/redmine/plugins/redmine_exception_handler/app/views"   * "/usr/share/redmine/plugins/project_section/app/views"   *

"/usr/share/redmine/plugins/project_alias/app/views"   * "/usr/share/redmine/plugins/meta/app/views"   *

"/usr/share/redmine/plugins/mastering_redmine/app/views"   * "/usr/share/redmine/plugins/like/app/views"   *

"/usr/share/redmine/plugins/issue_id/app/views"   * "/usr/share/redmine/plugins/hooks_manager/app/views"   *

"/usr/share/redmine/plugins/extended_profile/app/views"   * "/usr/share/redmine/plugins/extended_fields/app/views"   *

"/usr/share/redmine/plugins/download/app/views"   * "/usr/share/redmine/plugins/contact_form/app/views"   *

"/usr/share/redmine/plugins/andriy_lesyuk/app/views"   * "/usr/share/redmine/app/views" )

P.S. By the way, similar can be implemented with Download Button plugin using !{{download}} macro. However, this plugin does not work with recent

Redmine (it’s in my TODO list).
http://www.redmine.org/boards/2/topics/18616
http://www.redmine.org/boards/2/topics/10172
http://www.redmine.org/issues/2069
http://www.redmine.org/issues/543
http://projects.andriylesyuk.com/project/redmine/download-button


#2 - 13 Nov 2012 00:06 - Andriy Lesyuk

- Tracker changed from Bug to Feature

- Target version set to 0.0.3

#3 - 20 Nov 2012 00:25 - Andriy Lesyuk

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset r32.

#4 - 20 Nov 2012 00:26 - Andriy Lesyuk

- Due date set to 19 Nov 2012
